# getResult

abstract fun getResult(): Provider<ExecResult>

Returns a provider of the execution result.

The external process is executed only once and only when the value is requested for the first time.

If starting the process results in exception then the ensuing exception is permanently propagated to callers of get, getOrElse, getOrNull and isPresent.

#### Return

provider of the execution result.